Index: exampleparties/anac2019/agentgg/pom.xml
===================================================================
--- exampleparties/anac2019/agentgg/pom.xml	(revision 23)
+++ exampleparties/anac2019/agentgg/pom.xml	(revision 24)
@@ -6,5 +6,5 @@
 	<groupId>geniusweb.exampleparties.anac2019</groupId>
 	<artifactId>agentgg</artifactId>
-	<version>1.5.2</version> <!-- must equal ${geniusweb.version} -->
+	<version>1.5.3</version> <!-- must equal ${geniusweb.version} -->
 	<packaging>jar</packaging>
 
@@ -17,5 +17,5 @@
 		<passwd>${env.ARTIFACTORY_PASS}</passwd>
 		<jackson-2-version>2.9.6</jackson-2-version>
-		<geniusweb.version>1.5.2</geniusweb.version>
+		<geniusweb.version>1.5.3</geniusweb.version>
 	</properties>
 
@@ -192,5 +192,5 @@
 				<groupId>org.apache.maven.plugins</groupId>
 				<artifactId>maven-javadoc-plugin</artifactId>
-				<version>2.10.1</version>
+				<version>3.2.0</version>
 				<executions>
 					<execution>
@@ -199,8 +199,4 @@
 							<goal>jar</goal>
 						</goals>
-						<configuration>
-							<additionalparam>${javadoc.opts}</additionalparam>
-							<additionalparam>-Xdoclint:none</additionalparam>
-						</configuration>
 					</execution>
 				</executions>
Index: exampleparties/anac2019/agentgg/src/main/java/geniusweb/exampleparties/agentgg/ImpMap.java
===================================================================
--- exampleparties/anac2019/agentgg/src/main/java/geniusweb/exampleparties/agentgg/ImpMap.java	(revision 23)
+++ exampleparties/anac2019/agentgg/src/main/java/geniusweb/exampleparties/agentgg/ImpMap.java	(revision 24)
@@ -63,5 +63,5 @@
 	 * "weight sum" and "number of times" in the import table.
 	 * 
-	 * @param bids a list of ordered bids, worst bid first, best bid last
+	 * @param bidOrdering a list of ordered bids, worst bid first, best bid last
 	 */
 	public void self_update(List<Bid> bidOrdering) {
@@ -116,5 +116,5 @@
 	 * @param bid the bid to get the importance (utility?) of.
 	 * @return the importance value of bid. Note, this this returns possibly
-	 *         large (>1) values, as the importance is not normalized.
+	 *         large (&gt;1) values, as the importance is not normalized.
 	 */
 	public double getImportance(Bid bid) {
Index: exampleparties/anac2019/agentgg/src/main/java/geniusweb/exampleparties/agentgg/SimpleLinearOrdering.java
===================================================================
--- exampleparties/anac2019/agentgg/src/main/java/geniusweb/exampleparties/agentgg/SimpleLinearOrdering.java	(revision 23)
+++ exampleparties/anac2019/agentgg/src/main/java/geniusweb/exampleparties/agentgg/SimpleLinearOrdering.java	(revision 24)
@@ -67,5 +67,5 @@
 	/**
 	 * 
-	 * @param bid
+	 * @param bid a {@link Bid}
 	 * @return true iff bid is contained in this ordering
 	 */
Index: exampleparties/anac2019/agentgg/src/test/java/geniusweb/exampleparties/agentgg/AgentGGTest.java
===================================================================
--- exampleparties/anac2019/agentgg/src/test/java/geniusweb/exampleparties/agentgg/AgentGGTest.java	(revision 23)
+++ exampleparties/anac2019/agentgg/src/test/java/geniusweb/exampleparties/agentgg/AgentGGTest.java	(revision 24)
@@ -35,4 +35,5 @@
 import geniusweb.connection.ConnectionEnd;
 import geniusweb.inform.ActionDone;
+import geniusweb.inform.Agreements;
 import geniusweb.inform.Finished;
 import geniusweb.inform.Inform;
@@ -180,8 +181,11 @@
 		party.connect(connection);
 		party.notifyChange(settings);
-		party.notifyChange(new Finished(null));
+
+		Agreements agreements = mock(Agreements.class);
+		when(agreements.toString()).thenReturn("agree");
+		party.notifyChange(new Finished(agreements));
 
 		verify(reporter).log(eq(Level.INFO),
-				eq("Final ourcome:Finished[null]"));
+				eq("Final ourcome:Finished[agree]"));
 	}
 
Index: exampleparties/anac2019/winkyagent/pom.xml
===================================================================
--- exampleparties/anac2019/winkyagent/pom.xml	(revision 23)
+++ exampleparties/anac2019/winkyagent/pom.xml	(revision 24)
@@ -6,5 +6,5 @@
 	<groupId>geniusweb.exampleparties.anac2019</groupId>
 	<artifactId>winkyagent</artifactId>
-	<version>1.5.2</version> <!-- must equal ${geniusweb.version} -->
+	<version>1.5.3</version> <!-- must equal ${geniusweb.version} -->
 	<packaging>jar</packaging>
 
@@ -17,5 +17,5 @@
 		<passwd>${env.ARTIFACTORY_PASS}</passwd>
 		<jackson-2-version>2.9.6</jackson-2-version>
-		<geniusweb.version>1.5.2</geniusweb.version>
+		<geniusweb.version>1.5.3</geniusweb.version>
 	</properties>
 
@@ -192,5 +192,5 @@
 				<groupId>org.apache.maven.plugins</groupId>
 				<artifactId>maven-javadoc-plugin</artifactId>
-				<version>2.10.1</version>
+				<version>3.2.0</version>
 				<executions>
 					<execution>
@@ -199,8 +199,4 @@
 							<goal>jar</goal>
 						</goals>
-						<configuration>
-							<additionalparam>${javadoc.opts}</additionalparam>
-							<additionalparam>-Xdoclint:none</additionalparam>
-						</configuration>
 					</execution>
 				</executions>
Index: exampleparties/anac2019/winkyagent/src/main/java/geniusweb/exampleparties/anac2019/winkyagent/SimpleLinearOrdering.java
===================================================================
--- exampleparties/anac2019/winkyagent/src/main/java/geniusweb/exampleparties/anac2019/winkyagent/SimpleLinearOrdering.java	(revision 23)
+++ exampleparties/anac2019/winkyagent/src/main/java/geniusweb/exampleparties/anac2019/winkyagent/SimpleLinearOrdering.java	(revision 24)
@@ -29,5 +29,5 @@
 	/**
 	 * 
-	 * @param domain
+	 * @param domain the {@link Domain}
 	 * @param bids   a list of bids, ordered from lowest to highest util. The
 	 *               first bid will have utility 0, the last utility 1. If only
@@ -67,5 +67,5 @@
 	/**
 	 * 
-	 * @param bid
+	 * @param bid the {@link Bid}
 	 * @return true iff bid is contained in this ordering
 	 */
@@ -84,5 +84,5 @@
 	/**
 	 * 
-	 * @param profile
+	 * @param profile the {@link Profile}
 	 * @return a list of bids in the profile sorted from low to high utility.
 	 */
Index: exampleparties/anac2019/winkyagent/src/test/java/geniusweb/exampleparties/anac2019/winkyagent/WinkyAgentTest.java
===================================================================
--- exampleparties/anac2019/winkyagent/src/test/java/geniusweb/exampleparties/anac2019/winkyagent/WinkyAgentTest.java	(revision 23)
+++ exampleparties/anac2019/winkyagent/src/test/java/geniusweb/exampleparties/anac2019/winkyagent/WinkyAgentTest.java	(revision 24)
@@ -35,4 +35,5 @@
 import geniusweb.connection.ConnectionEnd;
 import geniusweb.inform.ActionDone;
+import geniusweb.inform.Agreements;
 import geniusweb.inform.Finished;
 import geniusweb.inform.Inform;
@@ -174,8 +175,11 @@
 		party.connect(connection);
 		party.notifyChange(settings);
-		party.notifyChange(new Finished(null));
+
+		Agreements agreements = mock(Agreements.class);
+		when(agreements.toString()).thenReturn("agree");
+		party.notifyChange(new Finished(agreements));
 
 		verify(reporter).log(eq(Level.INFO),
-				eq("Final ourcome:Finished[null]"));
+				eq("Final ourcome:Finished[agree]"));
 	}
 
Index: exampleparties/boulware/pom.xml
===================================================================
--- exampleparties/boulware/pom.xml	(revision 23)
+++ exampleparties/boulware/pom.xml	(revision 24)
@@ -6,5 +6,5 @@
 	<groupId>geniusweb.exampleparties</groupId>
 	<artifactId>boulware</artifactId>
-	<version>1.5.2</version> <!-- must equal ${geniusweb.version} -->
+	<version>1.5.3</version> <!-- must equal ${geniusweb.version} -->
 	<packaging>jar</packaging>
 
@@ -17,5 +17,5 @@
 		<passwd>${env.ARTIFACTORY_PASS}</passwd>
 		<jackson-2-version>2.9.10</jackson-2-version>
-		<geniusweb.version>1.5.2</geniusweb.version>
+		<geniusweb.version>1.5.3</geniusweb.version>
 	</properties>
 
@@ -105,5 +105,5 @@
 				<groupId>org.apache.maven.plugins</groupId>
 				<artifactId>maven-javadoc-plugin</artifactId>
-				<version>2.10.1</version>
+				<version>3.2.0</version>
 				<executions>
 					<execution>
@@ -112,8 +112,4 @@
 							<goal>jar</goal>
 						</goals>
-						<configuration>
-							<additionalparam>${javadoc.opts}</additionalparam>
-							<additionalparam>-Xdoclint:none</additionalparam>
-						</configuration>
 					</execution>
 				</executions>
Index: exampleparties/comparebids/pom.xml
===================================================================
--- exampleparties/comparebids/pom.xml	(revision 23)
+++ exampleparties/comparebids/pom.xml	(revision 24)
@@ -6,5 +6,5 @@
 	<groupId>geniusweb.exampleparties</groupId>
 	<artifactId>comparebids</artifactId>
-	<version>1.5.2</version> <!-- must equal ${geniusweb.version} -->
+	<version>1.5.3</version> <!-- must equal ${geniusweb.version} -->
 	<packaging>jar</packaging>
 
@@ -17,5 +17,5 @@
 		<passwd>${env.ARTIFACTORY_PASS}</passwd>
 		<jackson-2-version>2.9.6</jackson-2-version>
-		<geniusweb.version>1.5.2</geniusweb.version>
+		<geniusweb.version>1.5.3</geniusweb.version>
 	</properties>
 
@@ -195,8 +195,4 @@
 							<goal>jar</goal>
 						</goals>
-						<configuration>
-							<additionalparam>${javadoc.opts}</additionalparam>
-							<additionalparam>-Xdoclint:none</additionalparam>
-						</configuration>
 					</execution>
 				</executions>
Index: exampleparties/conceder/pom.xml
===================================================================
--- exampleparties/conceder/pom.xml	(revision 23)
+++ exampleparties/conceder/pom.xml	(revision 24)
@@ -6,5 +6,5 @@
 	<groupId>geniusweb.exampleparties</groupId>
 	<artifactId>conceder</artifactId>
-	<version>1.5.2</version> <!-- must equal ${geniusweb.version} -->
+	<version>1.5.3</version> <!-- must equal ${geniusweb.version} -->
 	<packaging>jar</packaging>
 
@@ -17,5 +17,5 @@
 		<passwd>${env.ARTIFACTORY_PASS}</passwd>
 		<jackson-2-version>2.9.10</jackson-2-version>
-		<geniusweb.version>1.5.2</geniusweb.version>
+		<geniusweb.version>1.5.3</geniusweb.version>
 	</properties>
 
@@ -105,5 +105,5 @@
 				<groupId>org.apache.maven.plugins</groupId>
 				<artifactId>maven-javadoc-plugin</artifactId>
-				<version>2.10.1</version>
+				<version>3.2.0</version>
 				<executions>
 					<execution>
@@ -112,8 +112,4 @@
 							<goal>jar</goal>
 						</goals>
-						<configuration>
-							<additionalparam>${javadoc.opts}</additionalparam>
-							<additionalparam>-Xdoclint:none</additionalparam>
-						</configuration>
 					</execution>
 				</executions>
Index: exampleparties/hardliner/pom.xml
===================================================================
--- exampleparties/hardliner/pom.xml	(revision 23)
+++ exampleparties/hardliner/pom.xml	(revision 24)
@@ -6,5 +6,5 @@
 	<groupId>geniusweb.exampleparties</groupId>
 	<artifactId>hardliner</artifactId>
-	<version>1.5.2</version> <!-- must equal ${geniusweb.version} -->
+	<version>1.5.3</version> <!-- must equal ${geniusweb.version} -->
 	<packaging>jar</packaging>
 
@@ -17,5 +17,5 @@
 		<passwd>${env.ARTIFACTORY_PASS}</passwd>
 		<jackson-2-version>2.9.10</jackson-2-version>
-		<geniusweb.version>1.5.2</geniusweb.version>
+		<geniusweb.version>1.5.3</geniusweb.version>
 	</properties>
 
@@ -105,5 +105,5 @@
 				<groupId>org.apache.maven.plugins</groupId>
 				<artifactId>maven-javadoc-plugin</artifactId>
-				<version>2.10.1</version>
+				<version>3.2.0</version>
 				<executions>
 					<execution>
@@ -112,8 +112,4 @@
 							<goal>jar</goal>
 						</goals>
-						<configuration>
-							<additionalparam>${javadoc.opts}</additionalparam>
-							<additionalparam>-Xdoclint:none</additionalparam>
-						</configuration>
 					</execution>
 				</executions>
Index: exampleparties/humangui/pom.xml
===================================================================
--- exampleparties/humangui/pom.xml	(revision 23)
+++ exampleparties/humangui/pom.xml	(revision 24)
@@ -6,5 +6,5 @@
 	<groupId>geniusweb.exampleparties</groupId>
 	<artifactId>humangui</artifactId>
-	<version>1.5.2</version> <!-- must equal ${geniusweb.version} -->
+	<version>1.5.3</version> <!-- must equal ${geniusweb.version} -->
 	<packaging>jar</packaging>
 
@@ -17,5 +17,5 @@
 		<passwd>${env.ARTIFACTORY_PASS}</passwd>
 		<jackson-2-version>2.9.6</jackson-2-version>
-		<geniusweb.version>1.5.2</geniusweb.version>
+		<geniusweb.version>1.5.3</geniusweb.version>
 	</properties>
 
@@ -182,5 +182,5 @@
 				<groupId>org.apache.maven.plugins</groupId>
 				<artifactId>maven-javadoc-plugin</artifactId>
-				<version>2.10.1</version>
+				<version>3.2.0</version>
 				<executions>
 					<execution>
@@ -189,8 +189,4 @@
 							<goal>jar</goal>
 						</goals>
-						<configuration>
-							<additionalparam>${javadoc.opts}</additionalparam>
-							<additionalparam>-Xdoclint:none</additionalparam>
-						</configuration>
 					</execution>
 				</executions>
Index: exampleparties/humangui/src/main/java/geniusweb/exampleparties/humangui/BiddingInfo.java
===================================================================
--- exampleparties/humangui/src/main/java/geniusweb/exampleparties/humangui/BiddingInfo.java	(revision 23)
+++ exampleparties/humangui/src/main/java/geniusweb/exampleparties/humangui/BiddingInfo.java	(revision 24)
@@ -32,5 +32,5 @@
  * <li>{@link Bid} if user changed his prepared bid (but did not yet offer it)
  * <li>{@link Profile} if the profile was changed
- * <li>{@Link Boolean} if the isMyTurn value changed.
+ * <li>{@link Boolean} if the isMyTurn value changed.
  * </ul>
  */
@@ -57,5 +57,6 @@
 	 * @param reporter   the {@link Reporter} where we can log issues.
 	 * @param profileint the {@link ProfileInterface}
-	 * @throws Exception if we can not reach the protocol server
+	 * @throws IOException         if we can not reach the protocol server
+	 * @throws DeploymentException if we can not reach the protocol server
 	 */
 	public BiddingInfo(Settings settings,
@@ -97,6 +98,4 @@
 	 * 
 	 * @param action the action to execute.
-	 * @throws IOException           if action can not be sent.
-	 * @throws IllegalStateException if isMyTurn is false.
 	 */
 	public void doAction(Action action) {
Index: exampleparties/humangui/src/test/java/geniusweb/exampleparties/humangui/HumanGuiTest.java
===================================================================
--- exampleparties/humangui/src/test/java/geniusweb/exampleparties/humangui/HumanGuiTest.java	(revision 23)
+++ exampleparties/humangui/src/test/java/geniusweb/exampleparties/humangui/HumanGuiTest.java	(revision 24)
@@ -6,4 +6,5 @@
 import static org.junit.Assert.assertTrue;
 import static org.mockito.Mockito.mock;
+import static org.mockito.Mockito.when;
 
 import java.io.IOException;
@@ -28,4 +29,5 @@
 import geniusweb.bidspace.AllBidsList;
 import geniusweb.inform.ActionDone;
+import geniusweb.inform.Agreements;
 import geniusweb.inform.Finished;
 import geniusweb.inform.Settings;
@@ -76,5 +78,7 @@
 	@After
 	public void after() {
-		party.notifyChange(new Finished(null));
+		Agreements agreements = mock(Agreements.class);
+		when(agreements.toString()).thenReturn("agree");
+		party.notifyChange(new Finished(agreements));
 	}
 
Index: exampleparties/linear/pom.xml
===================================================================
--- exampleparties/linear/pom.xml	(revision 23)
+++ exampleparties/linear/pom.xml	(revision 24)
@@ -6,5 +6,5 @@
 	<groupId>geniusweb.exampleparties</groupId>
 	<artifactId>linear</artifactId>
-	<version>1.5.2</version> <!-- must equal ${geniusweb.version} -->
+	<version>1.5.3</version> <!-- must equal ${geniusweb.version} -->
 	<packaging>jar</packaging>
 
@@ -17,5 +17,5 @@
 		<passwd>${env.ARTIFACTORY_PASS}</passwd>
 		<jackson-2-version>2.9.10</jackson-2-version>
-		<geniusweb.version>1.5.2</geniusweb.version>
+		<geniusweb.version>1.5.3</geniusweb.version>
 	</properties>
 
@@ -104,5 +104,5 @@
 				<groupId>org.apache.maven.plugins</groupId>
 				<artifactId>maven-javadoc-plugin</artifactId>
-				<version>2.10.1</version>
+				<version>3.2.0</version>
 				<executions>
 					<execution>
@@ -111,8 +111,4 @@
 							<goal>jar</goal>
 						</goals>
-						<configuration>
-							<additionalparam>${javadoc.opts}</additionalparam>
-							<additionalparam>-Xdoclint:none</additionalparam>
-						</configuration>
 					</execution>
 				</executions>
Index: exampleparties/randomparty/pom.xml
===================================================================
--- exampleparties/randomparty/pom.xml	(revision 23)
+++ exampleparties/randomparty/pom.xml	(revision 24)
@@ -6,5 +6,5 @@
 	<groupId>geniusweb.exampleparties</groupId>
 	<artifactId>randomparty</artifactId>
-	<version>1.5.2</version> <!-- must equal ${geniusweb.version} -->
+	<version>1.5.3</version> <!-- must equal ${geniusweb.version} -->
 	<packaging>jar</packaging>
 
@@ -17,5 +17,5 @@
 		<passwd>${env.ARTIFACTORY_PASS}</passwd>
 		<jackson-2-version>2.9.6</jackson-2-version>
-		<geniusweb.version>1.5.2</geniusweb.version>
+		<geniusweb.version>1.5.3</geniusweb.version>
 	</properties>
 
@@ -187,5 +187,5 @@
 				<groupId>org.apache.maven.plugins</groupId>
 				<artifactId>maven-javadoc-plugin</artifactId>
-				<version>2.10.1</version>
+				<version>3.2.0</version>
 				<executions>
 					<execution>
@@ -194,8 +194,4 @@
 							<goal>jar</goal>
 						</goals>
-						<configuration>
-							<additionalparam>${javadoc.opts}</additionalparam>
-							<additionalparam>-Xdoclint:none</additionalparam>
-						</configuration>
 					</execution>
 				</executions>
Index: exampleparties/randomparty/src/main/java/geniusweb/exampleparties/randomparty/RandomParty.java
===================================================================
--- exampleparties/randomparty/src/main/java/geniusweb/exampleparties/randomparty/RandomParty.java	(revision 23)
+++ exampleparties/randomparty/src/main/java/geniusweb/exampleparties/randomparty/RandomParty.java	(revision 24)
@@ -40,5 +40,6 @@
  * with sufficient utility.
  * <h2>parameters</h2>
- * <table>
+ * <table >
+ * <caption>parameters</caption>
  * <tr>
  * <td>minPower</td>
Index: exampleparties/randomparty/src/test/java/geniusweb/exampleparties/randomparty/RandomPartyTest.java
===================================================================
--- exampleparties/randomparty/src/test/java/geniusweb/exampleparties/randomparty/RandomPartyTest.java	(revision 23)
+++ exampleparties/randomparty/src/test/java/geniusweb/exampleparties/randomparty/RandomPartyTest.java	(revision 24)
@@ -8,4 +8,5 @@
 import static org.mockito.Mockito.mock;
 import static org.mockito.Mockito.verify;
+import static org.mockito.Mockito.when;
 
 import java.io.IOException;
@@ -38,4 +39,5 @@
 import geniusweb.connection.ConnectionEnd;
 import geniusweb.inform.ActionDone;
+import geniusweb.inform.Agreements;
 import geniusweb.inform.Finished;
 import geniusweb.inform.Inform;
@@ -163,8 +165,10 @@
 		party.connect(connection);
 		party.notifyChange(settings);
-		party.notifyChange(new Finished(null));
+		Agreements agreements = mock(Agreements.class);
+		when(agreements.toString()).thenReturn("agree");
+		party.notifyChange(new Finished(agreements));
 
 		verify(reporter).log(eq(Level.INFO),
-				eq("Final ourcome:Finished[null]"));
+				eq("Final ourcome:Finished[agree]"));
 	}
 
Index: exampleparties/randompartypy/pom.xml
===================================================================
--- exampleparties/randompartypy/pom.xml	(revision 23)
+++ exampleparties/randompartypy/pom.xml	(revision 24)
@@ -6,5 +6,5 @@
 	<groupId>geniusweb.exampleparties</groupId>
 	<artifactId>randompyparty</artifactId>
-	<version>1.5.2</version> <!-- must equal ${geniusweb.version} -->
+	<version>1.5.3</version> <!-- must equal ${geniusweb.version} -->
 	<packaging>jar</packaging>
 
@@ -17,5 +17,5 @@
 		<passwd>${env.ARTIFACTORY_PASS}</passwd>
 		<jackson-2-version>2.9.10</jackson-2-version>
-		<geniusweb.version>1.5.2</geniusweb.version>
+		<geniusweb.version>1.5.3</geniusweb.version>
 	</properties>
 
@@ -166,5 +166,5 @@
 				<groupId>org.apache.maven.plugins</groupId>
 				<artifactId>maven-javadoc-plugin</artifactId>
-				<version>2.10.1</version>
+				<version>3.2.0</version>
 				<executions>
 					<execution>
@@ -173,8 +173,4 @@
 							<goal>jar</goal>
 						</goals>
-						<configuration>
-							<additionalparam>${javadoc.opts}</additionalparam>
-							<additionalparam>-Xdoclint:none</additionalparam>
-						</configuration>
 					</execution>
 				</executions>
Index: exampleparties/simpleboa/pom.xml
===================================================================
--- exampleparties/simpleboa/pom.xml	(revision 23)
+++ exampleparties/simpleboa/pom.xml	(revision 24)
@@ -6,5 +6,5 @@
 	<groupId>geniusweb.exampleparties</groupId>
 	<artifactId>simpleboaparty</artifactId>
-	<version>1.5.2</version> <!-- must equal ${geniusweb.version} -->
+	<version>1.5.3</version> <!-- must equal ${geniusweb.version} -->
 	<packaging>jar</packaging>
 
@@ -17,5 +17,5 @@
 		<passwd>${env.ARTIFACTORY_PASS}</passwd>
 		<jackson-2-version>2.9.6</jackson-2-version>
-		<geniusweb.version>1.5.2</geniusweb.version>
+		<geniusweb.version>1.5.3</geniusweb.version>
 	</properties>
 
@@ -125,5 +125,5 @@
 				<groupId>org.apache.maven.plugins</groupId>
 				<artifactId>maven-javadoc-plugin</artifactId>
-				<version>2.10.1</version>
+				<version>3.2.0</version>
 				<executions>
 					<execution>
@@ -132,8 +132,4 @@
 							<goal>jar</goal>
 						</goals>
-						<configuration>
-							<additionalparam>${javadoc.opts}</additionalparam>
-							<additionalparam>-Xdoclint:none</additionalparam>
-						</configuration>
 					</execution>
 				</executions>
Index: exampleparties/simpleboa/src/test/java/geniusweb/exampleparties/simpleboa/SimpleBoaTest.java
===================================================================
--- exampleparties/simpleboa/src/test/java/geniusweb/exampleparties/simpleboa/SimpleBoaTest.java	(revision 23)
+++ exampleparties/simpleboa/src/test/java/geniusweb/exampleparties/simpleboa/SimpleBoaTest.java	(revision 24)
@@ -37,4 +37,5 @@
 import geniusweb.connection.ConnectionEnd;
 import geniusweb.inform.ActionDone;
+import geniusweb.inform.Agreements;
 import geniusweb.inform.Finished;
 import geniusweb.inform.Inform;
@@ -164,8 +165,11 @@
 		party.connect(connection);
 		party.notifyChange(settings);
-		party.notifyChange(new Finished(null));
+
+		Agreements agreements = mock(Agreements.class);
+		when(agreements.toString()).thenReturn("agree");
+		party.notifyChange(new Finished(agreements));
 
 		verify(reporter).log(eq(Level.INFO),
-				eq("Final ourcome:Finished[null]"));
+				eq("Final ourcome:Finished[agree]"));
 	}
 
Index: exampleparties/simpleshaop/pom.xml
===================================================================
--- exampleparties/simpleshaop/pom.xml	(revision 23)
+++ exampleparties/simpleshaop/pom.xml	(revision 24)
@@ -6,5 +6,5 @@
 	<groupId>geniusweb.exampleparties</groupId>
 	<artifactId>simpleshaop</artifactId>
-	<version>1.5.2</version> <!-- must equal ${geniusweb.version} -->
+	<version>1.5.3</version> <!-- must equal ${geniusweb.version} -->
 	<packaging>jar</packaging>
 
@@ -17,5 +17,5 @@
 		<passwd>${env.ARTIFACTORY_PASS}</passwd>
 		<jackson-2-version>2.9.6</jackson-2-version>
-		<geniusweb.version>1.5.2</geniusweb.version>
+		<geniusweb.version>1.5.3</geniusweb.version>
 	</properties>
 
@@ -188,5 +188,5 @@
 				<groupId>org.apache.maven.plugins</groupId>
 				<artifactId>maven-javadoc-plugin</artifactId>
-				<version>2.10.1</version>
+				<version>3.2.0</version>
 				<executions>
 					<execution>
@@ -195,8 +195,4 @@
 							<goal>jar</goal>
 						</goals>
-						<configuration>
-							<additionalparam>${javadoc.opts}</additionalparam>
-							<additionalparam>-Xdoclint:none</additionalparam>
-						</configuration>
 					</execution>
 				</executions>
Index: exampleparties/simpleshaop/src/main/java/geniusweb/exampleparties/simpleshaop/ShaopParty.java
===================================================================
--- exampleparties/simpleshaop/src/main/java/geniusweb/exampleparties/simpleshaop/ShaopParty.java	(revision 23)
+++ exampleparties/simpleshaop/src/main/java/geniusweb/exampleparties/simpleshaop/ShaopParty.java	(revision 24)
@@ -38,5 +38,5 @@
  * created.
  * <p>
- * <b>Requirement<b> the initial {@link PartialOrdering} must contain at least
+ * <b>Requirement</b> the initial {@link PartialOrdering} must contain at least
  * the bids with lowest utility and highest utility, and the proper comparison
  * info for these two bids.
Index: exampleparties/simpleshaop/src/main/java/geniusweb/exampleparties/simpleshaop/SimpleLinearOrdering.java
===================================================================
--- exampleparties/simpleshaop/src/main/java/geniusweb/exampleparties/simpleshaop/SimpleLinearOrdering.java	(revision 23)
+++ exampleparties/simpleshaop/src/main/java/geniusweb/exampleparties/simpleshaop/SimpleLinearOrdering.java	(revision 24)
@@ -21,5 +21,8 @@
 
 	private final Domain domain;
-	private final List<Bid> bids; // worst bid first, best bid last.
+	/**
+	 * List of bids. worst bid first, best bid last.
+	 */
+	private final List<Bid> bids;
 
 	SimpleLinearOrdering(Profile profile) {
@@ -29,5 +32,5 @@
 	/**
 	 * 
-	 * @param domain
+	 * @param domain The {@link Domain}
 	 * @param bids   a list of bids, ordered from lowest to highest util. The
 	 *               first bid will have utility 0, the last utility 1. If only
@@ -67,5 +70,5 @@
 	/**
 	 * 
-	 * @param bid
+	 * @param bid the {@link Bid}
 	 * @return true iff bid is contained in this ordering
 	 */
@@ -84,5 +87,5 @@
 	/**
 	 * 
-	 * @param profile
+	 * @param profile the {@link Profile}
 	 * @return a list of bids in the profile sorted from low to high utility.
 	 */
@@ -108,9 +111,9 @@
 
 	/**
-	 * @param bid       a new bid to be inserted
+	 * @param bid       a new {@link Bid} to be inserted
 	 * @param worseBids all bids that are worse than this bid.
-	 * @return a SimpleLinearOrdering, updated with the given comparison. Thee
-	 *         bid will be inserted after the first bid that is not worse than
-	 *         bid.
+	 * @return a {@link SimpleLinearOrdering}, updated with the given
+	 *         comparison. Thee bid will be inserted after the first bid that is
+	 *         not worse than bid.
 	 */
 	public SimpleLinearOrdering with(Bid bid, List<Bid> worseBids) {
Index: exampleparties/simpleshaop/src/test/java/geniusweb/exampleparties/simpleshaop/ShaopPartyTest.java
===================================================================
--- exampleparties/simpleshaop/src/test/java/geniusweb/exampleparties/simpleshaop/ShaopPartyTest.java	(revision 23)
+++ exampleparties/simpleshaop/src/test/java/geniusweb/exampleparties/simpleshaop/ShaopPartyTest.java	(revision 24)
@@ -8,4 +8,5 @@
 import static org.mockito.Mockito.mock;
 import static org.mockito.Mockito.verify;
+import static org.mockito.Mockito.when;
 
 import java.io.IOException;
@@ -37,4 +38,5 @@
 import geniusweb.connection.ConnectionEnd;
 import geniusweb.inform.ActionDone;
+import geniusweb.inform.Agreements;
 import geniusweb.inform.Finished;
 import geniusweb.inform.Inform;
@@ -178,8 +180,11 @@
 		party.connect(connection);
 		party.notifyChange(settings);
-		party.notifyChange(new Finished(null));
+
+		Agreements agreements = mock(Agreements.class);
+		when(agreements.toString()).thenReturn("agree");
+		party.notifyChange(new Finished(agreements));
 
 		verify(reporter).log(eq(Level.INFO),
-				eq("Final ourcome:Finished[null]"));
+				eq("Final ourcome:Finished[agree]"));
 	}
 
Index: exampleparties/timedependentparty/pom.xml
===================================================================
--- exampleparties/timedependentparty/pom.xml	(revision 23)
+++ exampleparties/timedependentparty/pom.xml	(revision 24)
@@ -6,5 +6,5 @@
 	<groupId>geniusweb.exampleparties</groupId>
 	<artifactId>timedependentparty</artifactId>
-	<version>1.5.2</version> <!-- must equal ${geniusweb.version} -->
+	<version>1.5.3</version> <!-- must equal ${geniusweb.version} -->
 	<packaging>jar</packaging>
 
@@ -17,5 +17,5 @@
 		<passwd>${env.ARTIFACTORY_PASS}</passwd>
 		<jackson-2-version>2.9.10</jackson-2-version>
-		<geniusweb.version>1.5.2</geniusweb.version>
+		<geniusweb.version>1.5.3</geniusweb.version>
 	</properties>
 
@@ -34,5 +34,5 @@
 			<groupId>geniusweb</groupId>
 			<artifactId>party</artifactId>
-	<version>${geniusweb.version}</version>
+			<version>${geniusweb.version}</version>
 		</dependency>
 
@@ -40,10 +40,10 @@
 			<groupId>geniusweb</groupId>
 			<artifactId>bidspace</artifactId>
-	<version>${geniusweb.version}</version>
+			<version>${geniusweb.version}</version>
 		</dependency>
 		<dependency>
 			<groupId>geniusweb</groupId>
 			<artifactId>profileconnection</artifactId>
-	<version>${geniusweb.version}</version>
+			<version>${geniusweb.version}</version>
 		</dependency>
 		<dependency>
@@ -188,5 +188,5 @@
 				<groupId>org.apache.maven.plugins</groupId>
 				<artifactId>maven-javadoc-plugin</artifactId>
-				<version>2.10.1</version>
+				<version>3.2.0</version>
 				<executions>
 					<execution>
@@ -195,8 +195,4 @@
 							<goal>jar</goal>
 						</goals>
-						<configuration>
-							<additionalparam>${javadoc.opts}</additionalparam>
-							<additionalparam>-Xdoclint:none</additionalparam>
-						</configuration>
 					</execution>
 				</executions>
Index: exampleparties/timedependentparty/src/main/java/geniusweb/exampleparties/timedependentparty/ExtendedUtilSpace.java
===================================================================
--- exampleparties/timedependentparty/src/main/java/geniusweb/exampleparties/timedependentparty/ExtendedUtilSpace.java	(revision 23)
+++ exampleparties/timedependentparty/src/main/java/geniusweb/exampleparties/timedependentparty/ExtendedUtilSpace.java	(revision 24)
@@ -21,5 +21,9 @@
 public class ExtendedUtilSpace {
 	private LinearAdditive utilspace;
-	private BigDecimal tolerance; // utility tolerance for a bid.
+	/**
+	 * The tolerance for a utility. Generally utilities can be this amount
+	 * smaller than requested. See also {@link #computeTolerance()}.
+	 */
+	private BigDecimal tolerance;
 	private BidsWithUtility bidutils;
 	// min and max achievable utility
@@ -92,6 +96,7 @@
 
 	/**
-	 * @param utilityGoal
-	 * @return bids with utility inside [utilitygoal-tolerance, utilitygoal]
+	 * @param utilityGoal the requested utility
+	 * @return bids with utility inside [utilitygoal-{@link #tolerance},
+	 *         utilitygoal]
 	 */
 	public ImmutableList<Bid> getBids(BigDecimal utilityGoal) {
Index: exampleparties/timedependentparty/src/main/java/geniusweb/exampleparties/timedependentparty/TimeDependentParty.java
===================================================================
--- exampleparties/timedependentparty/src/main/java/geniusweb/exampleparties/timedependentparty/TimeDependentParty.java	(revision 23)
+++ exampleparties/timedependentparty/src/main/java/geniusweb/exampleparties/timedependentparty/TimeDependentParty.java	(revision 24)
@@ -34,5 +34,5 @@
  * brute-force search through the bidspace and can handle bidspace sizes up to
  * 2^31 (approx 1 billion bids). It may take excessive time and run out of time
- * on bidspaces > 10000 bids. In special cases it may even run out of memory,
+ * on bidspaces &gt; 10000 bids. In special cases it may even run out of memory,
  */
 public class TimeDependentParty extends DefaultParty {
@@ -104,9 +104,9 @@
 	 *         behaviour [1]:
 	 * 
-	 *         1. Boulware: For this strategy e < 1 and the initial offer is
+	 *         1. Boulware: For this strategy e &lt; 1 and the initial offer is
 	 *         maintained till time is almost exhausted, when the agent concedes
 	 *         up to its reservation value.
 	 * 
-	 *         2. Conceder: For this strategy e > 1 and the agent goes to its
+	 *         2. Conceder: For this strategy e &gt; 1 and the agent goes to its
 	 *         reservation value very quickly.
 	 * 
Index: exampleparties/timedependentparty/src/test/java/geniusweb/exampleparties/timedependentparty/TimeDependentPartyTest.java
===================================================================
--- exampleparties/timedependentparty/src/test/java/geniusweb/exampleparties/timedependentparty/TimeDependentPartyTest.java	(revision 23)
+++ exampleparties/timedependentparty/src/test/java/geniusweb/exampleparties/timedependentparty/TimeDependentPartyTest.java	(revision 24)
@@ -8,4 +8,5 @@
 import static org.mockito.Mockito.mock;
 import static org.mockito.Mockito.verify;
+import static org.mockito.Mockito.when;
 
 import java.io.IOException;
@@ -35,4 +36,5 @@
 import geniusweb.connection.ConnectionEnd;
 import geniusweb.inform.ActionDone;
+import geniusweb.inform.Agreements;
 import geniusweb.inform.Finished;
 import geniusweb.inform.Inform;
@@ -181,8 +183,11 @@
 		party.connect(connection);
 		party.notifyChange(settings);
-		party.notifyChange(new Finished(null));
+		Agreements agreements = mock(Agreements.class);
+		when(agreements.toString()).thenReturn("agree");
+
+		party.notifyChange(new Finished(agreements));
 
 		verify(reporter).log(eq(Level.INFO),
-				eq("Final ourcome:Finished[null]"));
+				eq("Final ourcome:Finished[agree]"));
 	}
 
